## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XSLTEngineImpl.hpp File Reference

Include dependency graph for XSLTEngineImpl.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct XSLTEngineImpl::FindStringPointerFunctor
- struct XSLTEngineImpl::LessXalanDOMStringPointers
- class XSLTEngineImpl
    It's the responsibility of the XSLTEngineImpl class, collaborating with the XML parser liaison, the DOM, and the XPath engine, to transform a source tree of nodes into a result tree according to instructions and templates specified by a stylesheet tree. More...

## Defines

- #define XALAN_XSLTENGINEIMPL_HEADER_GUARD

## Typedefs

- typedef XERCES_CPP_NAMESPACE_QUALIFIER
  DocumentHandler DocumentHandlerType

## Functions

- XALAN_DECLARE_XERCES_CLASS (InputSource) XALAN_DECLARE_XERCES_CLASS(DocumentHandler) XALAN_CPP_NAMESPACE_BEGIN typedef XERCES_CPP_NAMESPACE_QUALIFIER InputSource InputSourceType

## Define Documentation

#define XALAN_XSLTENGINEIMPL_HEADER_GUARD

Value:

## Typedef Documentation

typedef XERCES_CPP_NAMESPACE_QUALIFIER DocumentHandler DocumentHandlerType

## Function Documentation

XALAN_DECLARE_XERCES_CLASS ( | InputSource )

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.